
Foreman - Bug #11721

Inconsistency with select2 on compute profile files

09/08/2015 07:17 AM - Ivan Necas

Status: New   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As a fix for #11171, the select2 was disabled on compute profile selects. However, when new select box is added, for example via

"Add Interface" button, this select box is select2 again

Related issues:

Related to Foreman Remote Execution - Bug #11722: Selecting input type on new... Closed 09/08/2015

Related to Foreman - Bug #11171: Select2 does not work with compute profiles Closed 07/21/2015

History

#1 - 09/08/2015 07:20 AM - Marek Hulán

- Category set to Web Interface

#2 - 09/08/2015 07:22 AM - Ivan Necas

- Related to Bug #11722: Selecting input type on newly added fields doesn't work with Foreman nightly added

#3 - 09/08/2015 07:23 AM - Dominic Cleal

- Related to Bug #11171: Select2 does not work with compute profiles added

#4 - 09/08/2015 07:23 AM - Dominic Cleal

I don't think it should have been disabled in actual fact, given that's what the feature was added for in the first place.  I think I misunderstood the

intention of #11171 when reviewing it.

They work reliably now on the interfaces modal so it ought to be possible to have them work in profile editing too.
